%define pypi_name pycparser

Name:           python-%{pypi_name}
Summary:        C parser and AST generator written in Python
Version:        2.14
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
URL:            http://github.com/eliben/pycparser
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
Source1:        pycparser-2.10-remove-relative-sys-path.py
Patch100:       pycparser-2.14-disable-embedded-ply.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	dos2unix
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ply
BuildRequires:  python-ply

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n python3-%{pypi_name}
Summary:        C parser and AST generator written in Python
Group:          Development/Python
Requires:       python3-ply

%description -n python3-pycparser
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch100 -p1

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python} %{SOURCE1} examples
dos2unix LICENSE

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
%{__python} setup.py build
pushd build/lib/pycparser
%{__python} _build_tables.py
popd

pushd %{py3dir}
%{__python3} setup.py build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd
popd

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc examples LICENSE
%{python_sitelib}/%{pypi_name}/
%{python_sitelib}/%{pypi_name}-*.egg-info

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info


%changelog
* Sun Mar 06 2016 bb <bb> 2.14-1pclos2016
- update

* Sat Sep 19 2015 bb <bb> 2.10-1pclos2015
- update
